> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Transcript Segments

> Get the transcript segments for a call



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs get /realtime/v1/call/{id}/transcript
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/{id}/transcript:
    get:
      tags:
        - Realtime Calls
      summary: Get Call Transcript Segments
      description: Get the transcript segments for a call
      operationId: getCallTranscript
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns transcript segments for the specified call
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RealtimeCallSegmentDto'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RealtimeCallSegmentDto'
        '403':
          description: Not authorized to access this call's transcript
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RealtimeCallSegmentDto'
        '404':
          description: Call not found
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RealtimeCallSegmentDto'
components:
  schemas:
    RealtimeCallSegmentDto:
      type: object
      properties:
        call_id:
          type: string
        lang_code:
          type: string
        participant_role:
          type: string
        text:
          type: string
        translated_text:
          type: string
        start_time:
          type: number
          format: double
        end_time:
          type: number
          format: double
        created_at:
          type: string
          format: date-time

````